perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Copper <mcop...@titaninterface.com>
Subject Re: mod_perl-2.0.4 with Apache 2.2.9 and perl 5.10.0 intermittent crashing
Date Thu, 28 Jan 2010 22:22:37 GMT
On Thu, Jan 28, 2010 at 04:30:04PM -0500, Pas Argenio wrote:
>    I resolved it, finally.  Stupidly, we had created a symbolic link:
>            libmysqlclient.so.15 -> libmysqlclient.so.16.0.0
>    (I guess our source build of mysql-5.1.32 only provides
>    libmysqlclient.so.16.0.0 but DBD-mysql-4.008 needs
>    libmysqlclient.so.15)
>    The fix was to get the real libmysqlclient.so.15 library from the
>    mysql.5.0.67 Sun package.  We should have known software is rarely
>    FORWARD compatible!
>    Now to fix it the right way, maybe the latest DBD-mysql uses the .16
>    library.
>    Anyway perl 5.10.0 does work (so far) on Solaris 10.
> 
>    On Thu, Jan 28, 2010 at 11:44 AM, demerphq <[1]demerphq@gmail.com>
>    wrote:
> 
>      2010/1/28 Pas Argenio <[2]pas.argenio@gmail.com>:
> 
>    > Thanks John.  Currently, I'm building 32-bit for a Sparc platform and
>    also
>    > with man CPAN modules such as DBI and DBD.
>    >
>    > I just rebuilt everything carefully, but still coring often before
>    then
>    > displaying a page:
>    >    Apache 2.2.8   Perl 5.10.0   mod_perl 2.0.3
>    >
>    > I also turned on perl internal malloc
>    >
>    > Should I try 64-bit versions next, or fall back to perl 5.8.9?
> 
>      I recommend you try 5.8.9
>      Yves
>      --
>      perl -Mre=debug -e "/just|another|perl|hacker/"
> 
> References
> 
>    1. mailto:demerphq@gmail.com
>    2. mailto:pas.argenio@gmail.com
Looks like Bug #37027 for DBD-mysql: mysql_auto_reconnect

I struggled with this one a while back myself.

Mark

Mime
View raw message